For the complete documentation index, see llms.txt. This page is also available as Markdown.

Proof of delivery

List attachments

get
/shipments/{shipmentNumber}/attachments

Returns a list of available shipment-related attachment files (photos and/or signature) for the specified shipment only if the shipment belongs to the authenticated client.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Path parameters
shipmentNumberstringRequired

Shipment`s numbers.

Example: SHDE2072834273
Responses
200

Metadata structure

application/json
shipmentIdintegerOptional

Internal ID of the shipment.

createdAtstringOptional

Date and time when the file was uploaded. Date in ISO 8601 format.

get/shipments/{shipmentNumber}/attachments
GET /v.1.0/shipments/{shipmentNumber}/attachments HTTP/1.1
Host: api-stage.novapost.com/
Authorization: YOUR_API_KEY
Accept: */*
[
  {
    "shipmentId": 279708,
    "storageInfo": {
      "id": "c0da6fe9-997b-4f8d-b798-0150e50a6655",
      "name": "string (11).png",
      "documentType": "signature"
    },
    "createdAt": "2025-07-29T14:07:30.135738Z"
  },
  {
    "shipmentId": 279708,
    "storageInfo": {
      "id": "da2dc99f-c7e9-478d-9597-9ccca38f6bdb",
      "name": "IMG_8034.JPG.png",
      "documentType": "proofOfDelivery"
    },
    "createdAt": "2025-07-29T14:08:16.476107Z"
  },
  {
    "shipmentId": 279708,
    "storageInfo": {
      "id": "038a5340-f2a1-4982-a88b-8ad01b80bd81",
      "name": "IMG_7298.JPG.png",
      "documentType": "proofOfDelivery"
    },
    "createdAt": "2025-07-29T14:07:30.135738Z"
  },
  {
    "shipmentId": 279708,
    "storageInfo": {
      "id": "257f5a42-1c0f-48aa-9805-0af3a757b863",
      "name": "IMG_8000.JPG.png",
      "documentType": "proofOfDelivery",
      "createdAt": "2025-07-29T14:07:30.135738Z"
    }
  }
]

Download attachment

get
/shipments/{shipmentNumber}/attachments/{fileId}

Returns the stream of the file specified by fileId, if the shipment belongs to the authenticated client.

Authorizations
AuthorizationstringRequired

Authorization JWT-token with a lifetime of 1 hour in header

Path parameters
shipmentNumberstringRequired

Shipment`s numbers.

Example: SHDE2072834273
fileIdstringRequired

Unique file identifier.

Example: 60946ff4-8170-415b-ab66-719848ef1da7
Responses
200

A file.

application/pdf
string · binaryOptional
get/shipments/{shipmentNumber}/attachments/{fileId}
GET /v.1.0/shipments/{shipmentNumber}/attachments/{fileId} HTTP/1.1
Host: api-stage.novapost.com/
Authorization: YOUR_API_KEY
Accept: */*
binary

Last updated